﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace XamComboToDataTable
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DataSet dSet = new DataSet();
        public MainWindow()
        {
            InitializeComponent();
            

            DataTable data = new DataTable("MyTable");

            data.Columns.Add("ID", typeof(int));
            data.Columns.Add("Name", typeof(string));

            for (int i = 0; i < 10; i++)
            {
                DataRow r = data.NewRow();

                r["ID"] = i;
                r["Name"] = "Item " + i;

                data.Rows.Add(r);
            }

            dSet.Tables.Add(data);
        }

        private void xamComboEditor1_Loaded(object sender, RoutedEventArgs e)
        {
            xamComboEditor1.ItemsProvider.ItemsSource = dSet.Tables[0].DefaultView;
        }
    }
}
